/* ----------------------------------------------------------------
 *   FILE
 *	externs.h
 *
 *   DESCRIPTION
 *	prototypes for the executor.
 *
 *   NOTES
 *	This should be eliminated by figuring out the actual
 *	call graph and has no right to exist.
 *
 *   IDENTIFICATION
 *	/usr/local/devel/postgres-v4r2/src/backend/executor/RCS/externs.h,v 1.13 1994/02/07 11:39:04 aoki Exp
 * ----------------------------------------------------------------
 */

/* aggregate.c */
#include <executor/x_aggregate.h>

/* ex_ami.c */
#include <executor/x_execam.h>

/* ex_debug.c */
#include <executor/x_debug.h>

/* ex_junk.c */
#include <executor/x_junk.h>

/* ex_main.c */
#include <executor/x_execmain.h>

/* ex_procnode.c */
#include <executor/x_procnode.h>

/* ex_qual.c */
#include <executor/x_qual.h>

/* ex_scan.c */
#include <executor/x_scan.h>

/* ex_tuples.c */
#include <executor/x_tuples.h>

/* ex_utils.c */
#include <executor/x_eutils.h>

/* functions.c */
#include <executor/x_functions.h>

/* n_append.c */
#include <executor/x_append.h>

/* n_hash.c */
#include <executor/x_hash.h>

/* n_hashjoin.c */
#include <executor/x_hashjoin.h>

/* n_indexscan.c */
#include <executor/x_indexscan.h>

/* n_material.c */
#include <executor/x_material.h>

/* n_mergejoin.c */
#include <executor/x_mergejoin.h>

/* n_nestloop.c */
#include <executor/x_nestloop.h>

/* n_result.c */
#include <executor/x_result.h>

/* n_scantemps.c */
#include <executor/x_scantemps.h>

/* n_seqscan.c */
#include <executor/x_seqscan.h>

/* n_sort.c */
#include <executor/x_sort.h>

/* n_unique.c */
#include <executor/x_unique.h>
